StarObjectTextInternal::State Struct Reference

Internal: the state of a StarObjectText. More...

## Public Member Functions

| State ()
| constructor

## Public Attributes

int | m_numPages
| the number of pages
int | m_numGraphicPages
| the graphic number of pages
std::shared_ptr< Content > | m_mainContent
| the main content
std::vector< std::shared_ptr< StarFormatManagerInternal::FormatDef > > | m_flyList
| the list of fly zone
std::shared_ptr< StarObjectNumericRuler > | m_numericRuler
| the numeric ruler
std::shared_ptr< StarObjectPageStyle > | m_pageStyle
| the page style
std::shared_ptr< StarObjectModel > | m_model
| the drawing model

## Detailed Description

Internal: the state of a StarObjectText.

## Constructor & Destructor Documentation

## State()

StarObjectTextInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_flyList

std::vector<std::shared_ptr<StarFormatManagerInternal::FormatDef> > StarObjectTextInternal::State::m_flyList

the list of fly zone

Referenced by State().

## m_mainContent

std::shared_ptr<Content> StarObjectTextInternal::State::m_mainContent

the main content

Referenced by State().

## m_model

std::shared_ptr<StarObjectModel> StarObjectTextInternal::State::m_model

the drawing model

Referenced by State().

## m_numericRuler

std::shared_ptr<StarObjectNumericRuler> StarObjectTextInternal::State::m_numericRuler

the numeric ruler

Referenced by State().

## m_numGraphicPages

int StarObjectTextInternal::State::m_numGraphicPages

the graphic number of pages

Referenced by State().

## m_numPages

int StarObjectTextInternal::State::m_numPages

the number of pages

Referenced by State().

## m_pageStyle

std::shared_ptr<StarObjectPageStyle> StarObjectTextInternal::State::m_pageStyle

the page style

Referenced by State().

The documentation for this struct was generated from the following file:

- StarObjectText.cxx